* {

    margin: 0;

    padding: 0;

    box-sizing: border-box;
}

body {

    font-family: 'Montserrat', sans-serif;

    overflow: hidden;

    background: #f6f2ee;
}

.hero {

    position: relative;

    width: 100%;

    height: 100vh;

    display: flex;

    justify-content: center;

    align-items: center;

    overflow: hidden;
}

.hero-image {

    position: absolute;

    inset: 0;

    width: 100%;

    height: 100%;

    object-fit: cover;

    object-position: center;
}

.overlay {

    position: absolute;

    inset: 0;

    background:
            linear-gradient(
                    rgba(0,0,0,0.2),
                    rgba(0,0,0,0.35)
            );
}

.hero-content {

    position: relative;

    z-index: 2;

    text-align: center;

    color: white;

    padding: 20px;

    transform: translateY(-35vh);
}

.hero-date {

    text-shadow: 0 4px 20px rgba(0,0,0,0.35);

    font-size: 20px;

    letter-spacing: 6px;

    margin-bottom: 20px;

    text-transform: uppercase;
}

h1 {

    text-shadow: 0 4px 20px rgba(0,0,0,0.35);

    font-family: 'Cormorant Garamond', serif;

    font-size: clamp(82px, 11vw, 160px);

    font-weight: 300;

    margin-bottom: 50px;

    line-height: 0.9;

    letter-spacing: 1px;
}

@media (max-width: 768px) {

    h1 {

        font-size: 72px;
    }

    .hero-date {

        font-size: 12px;

        letter-spacing: 4px;
    }

    .hero-button {

        padding: 16px 28px;

        font-size: 12px;
    }
}